# class Tk::Tcllib::GetString_Dialog

### Constants

PACKAGE_NAME
TkCommandNames
WidgetClassName

### Public Class Methods

display(*args) click to toggle source

    # File lib/tkextlib/tcllib/getstring.rb, line 45
    def self.display(*args)
      self.show(*args)
    end

new(*args) click to toggle source
Calls superclass method TkWindow.new

    # File lib/tkextlib/tcllib/getstring.rb, line 49
    def initialize(*args)   # args = (parent=nil, text='', keys=nil)
      keys = args.pop
      if keys.kind_of?(Hash)
        text = args.pop
        @keys = _symbolkey2str(keys)
        args.push(keys)
      else
        text = keys
        @keys = {}
      end
      if text
        @text = text.dup
      else
        @text = ''
      end

      @variable = TkVariable.new
      @status = nil

      super(*args)
    end

package_name() click to toggle source

    # File lib/tkextlib/tcllib/getstring.rb, line 20
    def self.package_name
      PACKAGE_NAME
    end

package_version() click to toggle source

    # File lib/tkextlib/tcllib/getstring.rb, line 24
    def self.package_version
      begin
        TkPackage.require('getstring')
      rescue
        ''
      end
    end

show(*args) click to toggle source

    # File lib/tkextlib/tcllib/getstring.rb, line 40
    def self.show(*args)
      dialog = self.new(*args)
      dialog.show
      [dialog.status, dialog.value]
    end

### Public Instance Methods

cget(slot) click to toggle source

    # File lib/tkextlib/tcllib/getstring.rb, line 99
    def cget(slot)
      cget_strict(slot)
    end

cget_strict(slot) click to toggle source

    # File lib/tkextlib/tcllib/getstring.rb, line 91
    def cget_strict(slot)
      slot = slot.to_s
      if slot == 'text'
        @text
      else
        @keys[slot]
      end
    end

configinfo(slot = nil) click to toggle source

    # File lib/tkextlib/tcllib/getstring.rb, line 126
    def configinfo(slot = nil)
      if slot
        slot = slot.to_s
        [ slot, nil, nil, nil, ( (slot == 'text')? @text: @keys[slot] ) ]
      else
        @keys.collect{|k, v| [ k, nil, nil, nil, v ] }   \
        << [ 'text', nil, nil, nil, @text ]
      end
    end

configure(slot, value=None) click to toggle source

    # File lib/tkextlib/tcllib/getstring.rb, line 103
    def configure(slot, value=None)
      if slot.kind_of?(Hash)
        slot.each{|k, v| configure(k, v)}
      else
        slot = slot.to_s
        value = _symbolkey2str(value) if value.kind_of?(Hash)
        if value && value != None
          if slot == 'text'
            @text = value.to_s
          else
            @keys[slot] = value
          end
        else
          if slot == 'text'
            @text = ''
          else
            @keys.delete(slot)
          end
        end
      end
      self
    end

display()
Alias for: show
show() click to toggle source

    # File lib/tkextlib/tcllib/getstring.rb, line 76
    def show
      @variable.value = ''
      @status = bool(tk_call(self.class::TkCommandNames[0],
                             @path, @variable, @text, *hash_kv(@keys)))
    end

Also aliased as: display
status() click to toggle source

    # File lib/tkextlib/tcllib/getstring.rb, line 83
    def status
      @status
    end

value() click to toggle source

    # File lib/tkextlib/tcllib/getstring.rb, line 87
    def value
      @variable.value
    end

### Private Instance Methods

create_self(keys) click to toggle source

    # File lib/tkextlib/tcllib/getstring.rb, line 71
    def create_self(keys)
      # dummy
    end